## opencpn-plugin-nmeaconverter 0.1.1

=== CMakeLists.txt ===
#---------------------------------------------------------------------------
# Author:      Pavel Kalian
# Copyright:   2014
# License:     GPLv2 License
#---------------------------------------------------------------------------

#define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(nmeaconverter_pi)

SET(PACKAGE_NAME nmeaconverter_pi)
SET(VERBOSE_NAME NmeaConverter)
SET(TITLE_NAME NmeaConverter)
SET(CPACK_PACKAGE_CONTACT "RooieDirk")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "2")

#SET(CMAKE_BUILD_TYPE Debug)

# Definitions
add_definitions (
-D_FILE_OFFSET_BITS=64
-D_LARGEFILE_SOURCE
-DLIBUNRAR_BUILD
-DRARDLL
-DUNRAR
-DSILENT
)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_NMEATRANSLATOR
        src/NmeaConverter_pi.h
        src/NmeaConverter_pi.cpp
        src/ec_defs.h
        src/ec_engine.h
        src/ec_engine.cpp               
        )


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_NMEATRANSLATOR})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

#**************************************************************************************************
# define minimum cmake version
# CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
# # This should be 2.8.0 to have FindGTK2 module
# IF (COMMAND cmake_policy)
#  CMAKE_POLICY(SET CMP0003 OLD)
#  CMAKE_POLICY(SET CMP0005 OLD)
#  CMAKE_POLICY(SET CMP0011 OLD)
# ENDIF (COMMAND cmake_policy)
# 
# PROJECT(NmeaConverter_pi)
# 
# SET(PACKAGE_NAME NmeaConverter_pi)
# SET(PLUGIN_SOURCE_DIR .)
# MESSAGE (STATUS "*** Building ${PACKAGE_NAME} ***")
# #SET(CMAKE_BUILD_TYPE Debug)
# 
# IF (PREFIX)
#  SET(CMAKE_INSTALL_PREFIX ${PREFIX})
# ENDIF (PREFIX)
# 
# SET(PARENT opencpn)
# SET(PREFIX_BIN bin)
# SET(PREFIX_INCLUDE include)
# SET(PREFIX_DATA share)
# SET(PREFIX_PARENTDATA ${PREFIX_DATA}/${PARENT})
# 
# INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/src)
# 
# # require proper c++
# #ADD_DEFINITIONS( "-Wall -ansi -pedantic -Wno-variadic-macros" )
# #TODO: Should we use -fno-stack-protector
# # IF NOT DEBUGGING CFLAGS="-O2 -march=native"
# IF(NOT WIN32)
#  ADD_DEFINITIONS( "-Wall -g -fexceptions -fvisibility=hidden" )
# 
#  IF(NOT APPLE)
#  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,-Bsymbolic")
#  ELSE(NOT APPLE)
#  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl")
#  ENDIF(NOT APPLE)
# 
# ENDIF(NOT WIN32)
# 
# # Add some definitions to satisfy MS
# IF(WIN32)
#  ADD_DEFINITIONS(-D__MSVC__)
#  ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
# ENDIF(WIN32)
# 
# 
# SET(wxWidgets_USE_LIBS base core net xml html adv)
# SET(BUILD_SHARED_LIBS TRUE)
# FIND_PACKAGE(wxWidgets REQUIRED)
# 
# INCLUDE(${wxWidgets_USE_FILE})
# 
# FIND_PACKAGE(Gettext REQUIRED)
# 
# # For convenience we define the sources as a variable. You can add
# # header files and cpp/c files and CMake will sort them out
# 
# 
# SET(SRC_NMEATRANSLATOR
#  src/NmeaConverter_pi.h
#  src/NmeaConverter_pi.cpp
#  src/ec_defs.h
#  src/ec_engine.h
#  src/ec_engine.cpp
#  )
# 
# 
# ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_NMEATRANSLATOR} )
# 
# IF(WIN32)
#  SET(OPENCPN_IMPORT_LIB "../../../${CMAKE_CFG_INTDIR}/${PARENT}")
#  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OPENCPN_IMPORT_LIB} )
#  ADD_DEPENDENCIES(${PACKAGE_NAME} ${PARENT})
# ENDIF(WIN32)
# 
# TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${wxWidgets_LIBRARIES} )
# 
# IF(UNIX)
# INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME LIBRARY DESTINATION ${PREFIX_PARENTDATA}/plugins)
# ENDIF(UNIX)
# 
# IF(WIN32)
# INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME DESTINATION "plugins")
# ENDIF(WIN32)
#  
# 
# # define minimum cmake version
# CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
# # This should be 2.8.0 to have FindGTK2 module
# IF (COMMAND cmake_policy)
#  CMAKE_POLICY(SET CMP0003 OLD)
#  CMAKE_POLICY(SET CMP0005 OLD)
#  CMAKE_POLICY(SET CMP0011 OLD)
# ENDIF (COMMAND cmake_policy)
# 
# PROJECT(NmeaConvertor_pi)
# 
# SET(PACKAGE_NAME NmeaConvertor_pi)
# SET(PLUGIN_SOURCE_DIR ..)
# MESSAGE (STATUS "*** Building ${PACKAGE_NAME} ***")
# 
# #SET(CMAKE_BUILD_TYPE Debug)
# 
# IF (PREFIX)
#  SET(CMAKE_INSTALL_PREFIX ${PREFIX})
# ENDIF (PREFIX)
# 
# SET(PARENT opencpn)
# SET(PREFIX_BIN bin)
# SET(PREFIX_INCLUDE include)
# SET(PREFIX_DATA share)
# SET(PREFIX_PARENTDATA ${PREFIX_DATA}/${PARENT})
# 
# INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src)
# 
# # require proper c++
# #ADD_DEFINITIONS( "-Wall -ansi -pedantic -Wno-variadic-macros" )
# #TODO: Should we use -fno-stack-protector
# # IF NOT DEBUGGING CFLAGS="-O2 -march=native"
# IF(NOT WIN32)
#  ADD_DEFINITIONS( "-Wall -g -fexceptions -fvisibility=hidden" )
# 
#  IF(NOT APPLE)
#  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,-Bsymbolic")
#  ELSE(NOT APPLE)
#  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl")
#  ENDIF(NOT APPLE)
# 
# ENDIF(NOT WIN32)
# 
# # Add some definitions to satisfy MS
# IF(WIN32)
#  ADD_DEFINITIONS(-D__MSVC__)
#  ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
# ENDIF(WIN32)
# 
# 
# SET(wxWidgets_USE_LIBS base core net xml html adv)
# SET(BUILD_SHARED_LIBS TRUE)
# FIND_PACKAGE(wxWidgets REQUIRED)
# 
# INCLUDE(${wxWidgets_USE_FILE})
# 
# FIND_PACKAGE(Gettext REQUIRED)
# 
# # For convenience we define the sources as a variable. You can add
# # header files and cpp/c files and CMake will sort them out
# 
# 
# SET(SRC_NMEACONVERTOR
#   src/NmeaConverter_pi.h
#   src/NmeaConverter_pi.cpp
#   src/ec_defs.h
#   src/ec_engine.h
#   src/ec_engine.cpp
#  )
# 
# 
# ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_NMEACONVERTOR} )
# 
# IF(WIN32)
#  SET(OPENCPN_IMPORT_LIB "../../../${CMAKE_CFG_INTDIR}/${PARENT}")
#  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OPENCPN_IMPORT_LIB} )
#  ADD_DEPENDENCIES(${PACKAGE_NAME} ${PARENT})
# ENDIF(WIN32)
# 
# TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${wxWidgets_LIBRARIES} )
# 
# IF(UNIX)
# INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME LIBRARY DESTINATION ${PREFIX_PARENTDATA}/plugins)
# ENDIF(UNIX)
# 
# IF(WIN32)
# INSTALL(TARGETS ${PACKAGE_NAME} RUNTIME DESTINATION "plugins")
# ENDIF(WIN32)

=== debian/changelog ===
opencpn-plugin-nmeaconverter (0.1.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:40:07 -0700

opencpn-plugin-nmeaconverter (0.1.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 05:21:21 -0700

opencpn-plugin-nmeaconverter (0.1.1-0~disco1) disco; urgency=low

  * Version 0.1.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:50:05 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~disco1) disco; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:44:27 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~cosmic1) cosmic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~bionic1) bionic; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~xenial1) xenial; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.1.0-0~trusty1) trusty; urgency=low

  * Version 0.1

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 09:13:39 -0400

opencpn-plugin-nmeaconverter (0.2.0-0~precise1) precise; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~trusty1) trusty; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~utopic1) utopic; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~vivid1) vivid; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.2.0-0~wily1) wily; urgency=low

  * Version 0.2

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Jun 2015 13:28:32 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~lucid1) lucid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~precise1) precise; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~utopic1) utopic; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

opencpn-plugin-nmeaconverter (0.1.0-0~vivid1) vivid; urgency=low

  * Version 0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 24 Apr 2015 10:28:33 -0500

=== debian/control ===
Source: opencpn-plugin-nmeaconverter
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 9), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-nmeaconverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.99.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
